%define pkg_version 20030619
Name:          jing03
Version:       0.1
Release:       %mkrel 0.20030619.1
Epoch:         0
Summary:       A RELAX NG validator in Java
Group:         Development/Java
License:       Open Source
Url:           http://www.thaiopensource.com/relaxng/jing.html
Source0:       http://www.thaiopensource.com/download/jing-%{pkg_version}.zip
Source1:       jing-20030619-build.xml
Source2:       jing-20030619-pom
Patch0:        jing-20030619-xerces2.patch
Patch1:        jing-20030619-ValidatorImpl.patch
Patch2:        jing-20030619-VerifierHandlerImpl.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: ant-trax
BuildRequires: isorelax
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: saxon
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      isorelax
Requires:      jpackage-utils
Requires:      saxon
Requires:      xalan-j2
Requires:      xerces-j2
Requires:      xml-commons-apis
BuildArch:     noarch

%description
Jing is an implementation of RELAX NG, a schema language for
XML. RELAX NG has been standardized by OASIS and is in the final
stages of standardization by ISO as ISO/IEC 19757-2. Jing validates
an XML document against a RELAX NG schema. Jing supports both the
original XML syntax for RELAX NG schemas, and the more recent non-XML
compact syntax.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Jing - A RELAX NG validator in Java.

This package contains documentation for %{name}.

%prep
%setup -q -n jing-20030619
cp %{SOURCE1} build.xml

mkdir src
( 
  cd src
  unzip -q ../src.zip
)

find . -name "*.jar" -exec rm {} \;

%patch0
%patch1
%patch2

%build

export JAVA_HOME=%java_home
export CLASSPATH=$(build-classpath xalan-j2 xerces-j2 saxon isorelax xml-commons-apis ant ant-launcher)
CLASSPATH=$CLASSPATH:$(build-classpath junit ant):src/test-input:target/test-classes:target/classes
ant dist javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/lib/jing-%{pkg_version}.jar \
  %{buildroot}%{_javadir}/jing03-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jing03.pom
%add_to_maven_depmap thaiopensource jing %{version} JPP jing03

mkdir -p %{buildroot}%{_javadocdir}/jing03-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/jing03-%{version}
ln -s jing03-%{version} %{buildroot}%{_javadocdir}/jing03

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jing03-%{version}.jar
%{_javadir}/jing03.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc readme.html

%files javadoc
%{_javadocdir}/jing03-%{version}
%{_javadocdir}/jing03



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 0:0.1-0.20030619.1.mga2
+ Revision: 132808
- Clean spec file

  + gil <gil>
    - imported package jing03


* Tue Jun 28 2011 gil <gil> 0.1-0.0.20030619.%%mkrel
- initial rpm